void SensorSet(void) {
  // SHT40 setings
  sht40.setPrecision(SHT4X_HIGH_PRECISION);
  sht40.setHeater(SHT4X_NO_HEATER);
}
// read SHT40 sensor
void SensorRead(void) {
  sensors_event_t humidity, temp;
  sht40.getEvent(&humidity, &temp);
  Temperature = temp.temperature;
  Humidity = humidity.relative_humidity;
  Fahrenheit = 9.0 * temp.temperature / 5.0 + 32.0;
}
// read a parameters from ESP8266
void ESPParamsRead(void) {
  // reading internal ESP8266 chip voltage
  Vcc = ESP.getVcc() / 1000.0;
  // reading ESP8266 free memory
  FreeHeap = ESP.getFreeHeap();
  //reading and convert ESP8266 WiFi strength
  rssi = WiFi.RSSI();
  rssi = (isnan(rssi) ? -100 : rssi);
  PercentRssi = min(max(2 * (rssi + 100), 0), 100);
  // conversion of millis to time string DD:HH:MM
  uint32_t times = millis() / 1000;
  uint8_t days = (uint8_t)floor(times / 86400);
  uint8_t hours = (uint8_t)floor((times % 86400) / 3600);
  uint8_t mins = (uint8_t)floor((times % 3600) / 60);
  TimeString = (days < 10 ? "0" + String(days) : String(days))
               + ":" + (hours < 10 ? "0" + String(hours) : String(hours))
               + ":" + (mins < 10 ? "0" + String(mins) : String(mins));
}
